Subject: Re: bug#43876: Emacs uses excessive memory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Oct 2020 09:42:06 +0300

> From: Naveed Chehrazi <[email-masked]>
> Date: Fri, 9 Oct 2020 15:25:55 -0500
> Cc: [email-masked]
> 
> I use emacs to write academic papers. This means that the follow packages/modes are generally active:
> 
> * auctex
> * reftex
> * flyspell
> * company
> * pdf-view (using pdftools)
> * Ebib
> * Org
> 
> I often have 3 to 4 emacs window/frame open for many days. Emacs uses normal amount of memory
> initially but after three or four days, the amount of memory it has used has grown enormously. I have not
> changed the settings of the garbage collector. Its current value is:
> 
> gc-cons-threshold is a variable defined in ‘C source code’.
> Its value is 800000

Thanks for the report of your typical usage.  To make this even more
complete, could you please post the full information collected by
"M-x report-emacs-bug" about your system and the Emacs configuration?

To make some progress in investigating this and similar reports, it
could help if you start a fresh session, in which you check the memory
footprint frequently, say, each hour.  When you see a significant
increase in the memory usage, try to remember what you did since the
last checkpoint, and report this information here.

TIA